package cn.com.poc.meeting.dto;

import cn.com.poc.thirdparty.resource.simultanous_interpretation.entity.Translation;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;
import java.util.Map;
import java.util.Set;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class AnalysisTaskDetailDto {

    /**
     * analysis_status
     * 内容分析总状态 generate-生成中 completed-完成 failed-失败
     */
    private java.lang.String analysisStatus;

    public java.lang.String getAnalysisStatus() {
        return this.analysisStatus;
    }

    public void setAnalysisStatus(java.lang.String analysisStatus) {
        this.analysisStatus = analysisStatus;
    }

    /**
     * theme_content
     * 会议主题
     */
    private java.lang.String themeContent;

    public java.lang.String getThemeContent() {
        return this.themeContent;
    }

    public void setThemeContent(java.lang.String themeContent) {
        this.themeContent = themeContent;
    }

    /**
     * theme_generate_status
     * 会议主题生成状态
     */
    private java.lang.String themeGenerateStatus;

    public java.lang.String getThemeGenerateStatus() {
        return this.themeGenerateStatus;
    }

    public void setThemeGenerateStatus(java.lang.String themeGenerateStatus) {
        this.themeGenerateStatus = themeGenerateStatus;
    }

    /**
     * key_word_content
     * 关键词
     */
    private List<String> keyWordContent;

    public List<String> getKeyWordContent() {
        return keyWordContent;
    }

    public void setKeyWordContent(List<String> keyWordContent) {
        this.keyWordContent = keyWordContent;
    }

    /**
     * key_word_generate_status
     * 关键词生成状态
     */
    private java.lang.String keyWordGenerateStatus;

    public java.lang.String getKeyWordGenerateStatus() {
        return this.keyWordGenerateStatus;
    }

    public void setKeyWordGenerateStatus(java.lang.String keyWordGenerateStatus) {
        this.keyWordGenerateStatus = keyWordGenerateStatus;
    }

    /**
     * 关键词计数
     */
    private Map<String, Integer> keyWordCount;

    public Map<String, Integer> getKeyWordCount() {
        return keyWordCount;
    }

    public void setKeyWordCount(Map<String, Integer> keyWordCount) {
        this.keyWordCount = keyWordCount;
    }

    /**
     * meeting_summary_content
     * 会议摘要
     */
    private java.lang.String meetingSummaryContent;

    public java.lang.String getMeetingSummaryContent() {
        return this.meetingSummaryContent;
    }

    public void setMeetingSummaryContent(java.lang.String meetingSummaryContent) {
        this.meetingSummaryContent = meetingSummaryContent;
    }

    /**
     * meeting_summary_generate_status
     * 会议摘要生成状态
     */
    private java.lang.String meetingSummaryGenerateStatus;

    public java.lang.String getMeetingSummaryGenerateStatus() {
        return this.meetingSummaryGenerateStatus;
    }

    public void setMeetingSummaryGenerateStatus(java.lang.String meetingSummaryGenerateStatus) {
        this.meetingSummaryGenerateStatus = meetingSummaryGenerateStatus;
    }

    /**
     * featured_questions_generate_status
     * 推荐问生成状态
     */
    private java.lang.String featuredQuestionsGenerateStatus;

    public java.lang.String getFeaturedQuestionsGenerateStatus() {
        return this.featuredQuestionsGenerateStatus;
    }

    public void setFeaturedQuestionsGenerateStatus(java.lang.String featuredQuestionsGenerateStatus) {
        this.featuredQuestionsGenerateStatus = featuredQuestionsGenerateStatus;
    }

    /**
     * featured_questions
     * 推荐问
     */
    private List<String> featuredQuestions;

    public List<String> getFeaturedQuestions() {
        return featuredQuestions;
    }

    public void setFeaturedQuestions(List<String> featuredQuestions) {
        this.featuredQuestions = featuredQuestions;
    }

    /**
     * spk_sets
     * 说话人列表
     */
    private Set<Long> spkSets;

    public Set<Long> getSpkSets() {
        return spkSets;
    }

    public void setSpkSets(Set<Long> spkSets) {
        this.spkSets = spkSets;
    }

    /**
     * 语音识别内容
     * translation
     */
    private List<Translation> translations;

    public List<Translation> getTranslations() {
        return translations;
    }

    public void setTranslations(List<Translation> translations) {
        this.translations = translations;
    }
}
